subroutine Pumps_StartUp
    use CPumpsVariables
    use CPumps
    use SimulationVariables
	IMPLICIT NONE
    !>>>>>>>>>>>>>>>>>>>>>>>  PUMP 1  <<<<<<<<<<<<<<<<<<<<<<<<<<<
    data%State%Pump(1)%FlowRatePerSTK  = .04d0                              ![bbl]  !??????? motaghayere voroudi
    !data%State%Pump(1)%FlowRatePerSTK = data%State%Pump(1)%FlowRatePerSTK*0.0292d0      ![gpm]
    data%State%Pump(1)%RateChange      = 4.d0                                 ![stk/min2  ??]   !??????? motaghayere voroudi
    data%State%Pump(1)%Mech_Efficiency = data%Configuration%Pumps%MudPump1MechanicalEfficiency         ![dimensionless]
    !data%State%Pump(1)%Vol_Efficiency = MudPump1VolumetricEfficiency         !bayad hazf beshe ?
    data%State%Pump(1)%Max_Pressure    = 6000.d0                               ![psi]  !??????? motaghayere voroudi
    data%State%Pump(1)%MaxSPM          = data%Configuration%Pumps%MudPump1Maximum                      ![spm]
    data%State%Pump(1)%Trans_Ratio     = 965.d0/data%State%Pump(1)%MaxSPM
    data%State%Pump(1)%time_step       = 0.1d0                                !?????? niaz hast ya na??
    
    data%State%Pump(1)%RateChange = 193.d0!data%State%Pump(1)%RateChange*data%State%Pump(1)%Trans_Ratio    ! [rpm/min  ??]  ??????????????? rpm/s
    data%State%Pump(1)%K_throttle = 0
    data%State%Pump(1)%N_old      = 0.d0
    Call Pump_OffMode_Solver(1)  
    !>>>>>>>>>>>>>>>>>>>>>>>  PUMP 2  <<<<<<<<<<<<<<<<<<<<<<<<<<<
    data%State%Pump(2)%FlowRatePerSTK  = .04d0                              ![bbl]  !??????? motaghayere voroudi
    !data%State%Pump(2)%FlowRatePerSTK = data%State%Pump(2)%FlowRatePerSTK*0.0292d0      ![gpm]
    data%State%Pump(2)%RateChange      = 4.d0                                 ![stk/min2  ??]   !??????? motaghayere voroudi
    data%State%Pump(2)%Mech_Efficiency = data%Configuration%Pumps%MudPump2MechanicalEfficiency         ![dimensionless]
    !data%State%Pump(2)%Vol_Efficiency = MudPump2VolumetricEfficiency         !bayad hazf beshe ?
    data%State%Pump(2)%Max_Pressure    = 6000.d0                               ![psi]  !??????? motaghayere voroudi
    data%State%Pump(2)%MaxSPM          = data%Configuration%Pumps%MudPump2Maximum                      ![spm]
    data%State%Pump(2)%Trans_Ratio     = 965.d0/data%State%Pump(2)%MaxSPM
    data%State%Pump(2)%time_step       = 0.1d0                                !?????? niaz hast ya na??
    data%State%Pump(2)%RateChange = 193.d0!data%State%Pump(2)%RateChange*data%State%Pump(2)%Trans_Ratio    ! [rpm/min  ??]  ??????????????? rpm/s
    data%State%Pump(2)%K_throttle = 0
    data%State%Pump(2)%N_old      = 0.d0
    Call Pump_OffMode_Solver(2)
    !!>>>>>>>>>>>>>>>>>>>>>>>  PUMP 3  <<<<<<<<<<<<<<<<<<<<<<<<<<<
    data%State%Pump(3)%FlowRatePerSTK  = .04d0                              ![bbl]  !??????? motaghayere voroudi
    !data%State%Pump(3)%FlowRatePerSTK = data%State%Pump(3)%FlowRatePerSTK*0.0292d0      ![gpm]
    data%State%Pump(3)%RateChange      = 4.d0                                 ![stk/min2  ??]   !??????? motaghayere voroudi
    data%State%Pump(3)%Mech_Efficiency = data%Configuration%Pumps%CementPumpMechanicalEfficiency       ![dimensionless]
    !data%State%Pump(3)%Vol_Efficiency = CementPumpVolumetricEfficiency       !bayad hazf beshe ?
    data%State%Pump(3)%Max_Pressure    = 6000.d0                               ![psi]  !??????? motaghayere voroudi
    data%State%Pump(3)%MaxSPM          = data%Configuration%Pumps%CementPumpMaximum                    ![spm]
    data%State%Pump(3)%Trans_Ratio     = 965.d0/data%State%Pump(3)%MaxSPM
    data%State%Pump(3)%time_step       = 0.1d0                                !?????? niaz hast ya na??
    data%State%Pump(3)%RateChange = 193.d0!data%State%Pump(3)%RateChange*data%State%Pump(3)%Trans_Ratio    ! [rpm/min  ??]  ??????????????? rpm/s
    data%State%Pump(3)%K_throttle = 0
    data%State%Pump(3)%N_old      = 0.d0
    Call Pump_OffMode_Solver(3)  
end subroutine Pumps_StartUp